/*
 * Created on 16.08.2004
 * Copyright (C) 2004 Sebastian Baltes (sebastian.baltes@gmx.de)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 */

import java.applet.Applet;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import de.sbaltes.fractal.FloodMandelbrotComponent;

/**
 * @author Sebastian Baltes
 */
public class FloodMandelbrot extends Applet {

  private Frame frame;

  public static void main(String[] args) {
    new FloodMandelbrot();
  }

  public FloodMandelbrot() {
    frame = new Frame("FloodMandelbrotApp");
    frame.setSize(400, 400);
    frame.addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent event) {
        System.exit(0);
      }
    });
    FloodMandelbrotComponent floodMandelbrot = new FloodMandelbrotComponent(frame);
    floodMandelbrot.setSize(frame.getSize());
    frame.add(floodMandelbrot);
    frame.show();
    floodMandelbrot.init();
  }
}
